Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
client.streaming.videos.delete(
0,
)package main
import (
"context"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Streaming.Videos.Delete(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
}
curl --request DELETE \
--url https://api.gcore.com/streaming/videos/{video_id} \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/streaming/videos/{video_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.Videos
Delete video
Operation to delete video entity.
When you delete a video, all transcoded qualities and all associated files such as subtitles and screenshots, as well as other data, are deleted from cloud storage.
The video is deleted permanently and irreversibly. Therefore, it is impossible to restore files after this.
For detailed information and information on calculating your maximum monthly storage usage, please refer to the Product Documentation.
DELETE
/
streaming
/
videos
/
{video_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
client.streaming.videos.delete(
0,
)package main
import (
"context"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Streaming.Videos.Delete(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Video ID.
IDs of all created videos can be received via Get All Videos request
Response
204 - undefined
Was this page helpful?